# Visualization
TKV3d
Visual3d

# Visual3d_PickPath Class Reference

PickPath is a vector ( pick_id, struct_id, elem_num ).
It's one of the constituents of a PickDescriptor.
There are many PickPaths in a PickDescriptor.
Each PickPath describes a structure or a sub-structure.
The pick_id is set by SetPickId method from Group.
.

`#include <Visual3d_PickPath.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Visual3d_PickPath ()
| Creates an undefined PickPath. .
Standard_EXPORT | Visual3d_PickPath (const Standard_Integer AElemNumber, const Standard_Integer APickId, const Handle(Graphic3d_Structure)&AStructure)
| Creates a PickPath : <aelemnumber> : Element number of the structure picked. <apickid> : Pick identifier of the structure picked. <astructure> : The picked structure. .
Standard_EXPORT void | SetElementNumber (const Standard_Integer AElemNumber)
| Modifies the PickPath <me>. <aelemnumber> : Element number of the structure picked. .
Standard_EXPORT void | SetPickIdentifier (const Standard_Integer APickId)
| Modifies the PickPath <me>. <apickid> : Pick identifier of the structure picked. .
Standard_EXPORT void | SetStructIdentifier (const Handle(Graphic3d_Structure)&AStructure)
| Modifies the PickPath <me>. <astructure> : Identifier of the structure picked. .
Standard_EXPORT Standard_Integer | ElementNumber () const
| Returns the element number stocked in the PickPath <me>. Category: Inquire methods Warning: Raises PickError if PickPath is empty (no picked structure). .
Standard_EXPORT Standard_Integer | PickIdentifier () const
| Returns the pick identifier stocked in the PickPath <me>. Category: Inquire methods Warning: Raises PickError if PickPath is empty (no picked structure). .
Standard_EXPORT Handle_Graphic3d_Structure | StructIdentifier () const
| Returns the structure stocked in the PickPath <me>. Category: Inquire methods Warning: Raises PickError if PickPath is empty (no picked structure). .

## Private Attributes

Standard_Integer | MyElementNumber
Standard_Integer | MyPickId
Handle_Graphic3d_Structure | MyStructure
Standard_Boolean | MyElementNumberIsDef
Standard_Boolean | MyPickIdIsDef
Standard_Boolean | MyStructureIsDef

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_PickPath::Visual3d_PickPath | ( |  | ) |

Standard_EXPORT Visual3d_PickPath::Visual3d_PickPath | ( | const Standard_Integer | AElemNumber,
|  | const Standard_Integer | APickId,
|  | const Handle(Graphic3d_Structure)& | AStructure
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer Visual3d_PickPath::ElementNumber | ( |  | ) | const

void Visual3d_PickPath::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Visual3d_PickPath::operator new | ( | size_t | size | ) | `[inline]`

void* Visual3d_PickPath::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Integer Visual3d_PickPath::PickIdentifier | ( |  | ) | const

Standard_EXPORT void Visual3d_PickPath::SetElementNumber | ( | const Standard_Integer | AElemNumber | ) |

Standard_EXPORT void Visual3d_PickPath::SetPickIdentifier | ( | const Standard_Integer | APickId | ) |

Standard_EXPORT void Visual3d_PickPath::SetStructIdentifier | ( | const Handle(Graphic3d_Structure)& | AStructure | ) |

Standard_EXPORT Handle_Graphic3d_Structure Visual3d_PickPath::StructIdentifier | ( |  | ) | const

## Field Documentation

Standard_Integer Visual3d_PickPath::MyElementNumber `[private]`

Standard_Boolean Visual3d_PickPath::MyElementNumberIsDef `[private]`

Standard_Integer Visual3d_PickPath::MyPickId `[private]`

Standard_Boolean Visual3d_PickPath::MyPickIdIsDef `[private]`

Handle_Graphic3d_Structure Visual3d_PickPath::MyStructure `[private]`

Standard_Boolean Visual3d_PickPath::MyStructureIsDef `[private]`

The documentation for this class was generated from the following file:

- Visual3d_PickPath.hxx